View Issue Details

IDProjectCategoryView StatusLast Update
0001230XdebugUsage problems (Wrong Results)public2016-02-11 19:09
ReportergmateevAssigned Toderick 
PriorityhighSeveritycrashReproducibilitysometimes
Status resolvedResolutionfixed 
PlatformOSUbuntu 32 bitOS Version14.04
Product Version 
Target VersionFixed in Version 
Summary0001230: PHP7 <-> PHStorm 9 and 10 - Connection reset by peer
DescriptionOften while debugging I am getting a connection reset by peer and my process dies. This happens ONLY while I'm debugging. I use:
PHP7 (official stable)
PhpStorm 9 and 10 (tested on both)
xDebug 2.4 RC2
Apache 2.4 and php-fpm
Steps To ReproduceOne thing breaks EVERY time and that is the "Evaluate expression" function in PHPSTORM. But it is not the only thing that causes a crash, the rest I just cannot reproduce. I keep debugging and sometimes it would die.

Additional InformationAnother thing that I find strange is that I am often getting a timeout after 30 seconds, even though my max_execution_time setting in php.ini is 600
TagsNo tags attached.
Operating System
PHP Version7.0-dev

Activities

gmateev

2015-12-09 12:07

reporter   ~0003308

Maybe it is also worth mentioning that I am using "remote debugging". The IDE is on the host system, while PHP and Xdebug are on the Guest system. Host is Ubuntu 14.04 64 bit, Guest is Ubuntu 14.04 32 bit

gmateev

2015-12-09 12:10

reporter  

xdebug.log (334,031 bytes)

gmateev

2015-12-10 08:51

reporter   ~0003310

I am not sure if that was the problem, but it seems the HTML was loading too many files (around 1200), all with the debug session and maybe it caused some overflow or something. As I reduced them to around 40, it stopped crashing.

Not sure if that was a bug or a feature

derick

2015-12-12 01:02

administrator   ~0003325

Crashing is never a feature of course... I'd like to get to the bottom of this, but I'm going to need a way to reproduce this. That means code, and the exact ways how to get into this situation. I guess that means a remote debugging log (xdebug.remote_log=/tmp/remote.log) as well.

jaemmer

2015-12-22 14:51

reporter   ~0003370

I had the same thing happening to me. I switched to apache-mod instead of fpm and it no longer times out after 30 seconds, but it still doesn't work right (stepping through the will jump around almost like two debugging processes are happening simultaneously).

derick

2016-02-11 19:09

administrator   ~0003487

I'm marking this as resolved/suspended as I can not reproduce this problem. I don't have the code to go with the remote debug log.

Please only reopen once you can provide the information as is outlined in https://xdebug.org/support.php#remote

Issue History

Date Modified Username Field Change
2015-12-09 12:05 gmateev New Issue
2015-12-09 12:07 gmateev Note Added: 0003308
2015-12-09 12:10 gmateev File Added: xdebug.log
2015-12-10 08:51 gmateev Note Added: 0003310
2015-12-12 01:02 derick Note Added: 0003325
2015-12-12 01:02 derick Assigned To => derick
2015-12-12 01:02 derick Status new => feedback
2015-12-22 14:51 jaemmer Note Added: 0003370
2016-02-11 19:09 derick Note Added: 0003487
2016-02-11 19:09 derick Status feedback => resolved
2016-02-11 19:09 derick Resolution open => fixed
2016-07-31 12:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 12:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)